/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with {library}; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package ch.hortis.sonar.mvn.reports;

import org.apache.maven.model.Plugin;
import org.apache.maven.project.MavenProject;

import java.util.Arrays;
import java.util.List;

public class JXRHandler extends ReportHandler {
  
  public void configurePlugin(MavenProject pom, Plugin plugin ) {
    unsetConfigParameter( plugin, "outputDirectory" );
    unsetConfigParameter( plugin, "destDir" );
    setConfigParameter( plugin, "linkJavadoc", "false" );
    setConfigParameter( plugin, "aggregate", "false" );
    setConfigParameter( plugin, "inputEncoding", "UTF-8" );
    setConfigParameter( plugin, "outputEncoding", "UTF-8" );
  }

  public List<String> getGoals() {
    return Arrays.asList( new String[]{"jxr","test-jxr"} );
  }

  public boolean mustFailOnError() {
    return true;
  }

  public boolean executeEvenIfNoJavaSources() {
    return false;
  }
}